<!doctype html>
<html ng-app="angularScopesBug">
  <head>
    <meta charset="utf-8">
    <title>angularScopesBug</title>
    <meta name="description" content="">
    <link rel="shortcut icon" href="http://devskiller.com/favicon.ico" />
    <meta name="viewport" content="width=device-width">
    <!-- Place favicon.ico and apple-touch-icon.png in the root directory -->

    <!-- build:css({.tmp/serve,src}) styles/vendor.css -->
    <!-- bower:css -->
    <!-- run `gulp inject` to automatically populate bower styles dependencies -->
    <!-- endbower -->
    <!-- endbuild -->

    <!-- build:css({.tmp/serve,src}) styles/app.css -->
    <!-- inject:css -->
    <!-- css files will be automatically insert here -->
    <!-- endinject -->
    <!-- endbuild -->
  </head>
  <body>

    <div ng-app="angularScopesBug" ng-controller="WelcomeController">
      <h1>Hello, {{ getName() }}</h1>
      <div ng-controller="EditingController">
        <button ng-click="changeName()" ng-show="!editMode">Change your name</button>

        <div ng-show="editMode">
          <name-editor ng-show="editMode"></name-editor>
          <button ng-click="closeEditor()" ng-show="editMode">Close name editor</button>
        </div>
      </div>
    </div>

    <!-- build:js(src) scripts/vendor.js -->
    <!-- bower:js -->
    <!-- run `gulp inject` to automatically populate bower script dependencies -->
    <!-- endbower -->
    <!-- endbuild -->

    <!-- build:js({.tmp/serve,.tmp/partials,src}) scripts/app.js -->
    <!-- inject:js -->
    <!-- js files will be automatically insert here -->
    <!-- endinject -->

    <!-- inject:partials -->
    <!-- angular templates will be automatically converted in js and inserted here -->
    <!-- endinject -->
    <!-- endbuild -->

  </body>
</html>
